Skip to content

Explore Seny

Email inboxes

Documentation

Email inboxes API

Email inboxes attach an email address to an agent so it can handle inbound email conversations. Gated on the agents.read / agents.write permission.

List inboxes

GET /api/v1/rest/email-inboxes   ?widget_id=

Attach an inbox

POST /api/v1/rest/email-inboxes
{
  "widget_id":   "uuid",
  "address":     "hello@dealership.example",
  "sender_name": "Dealership Concierge"
}

Get, update, delete

GET    /api/v1/rest/email-inboxes/:id
PATCH  /api/v1/rest/email-inboxes/:id
DELETE /api/v1/rest/email-inboxes/:id
Talk to Seny